Bug 1117998 - puppet bug # 17493 back port to RHOSP
Summary: puppet bug # 17493 back port to RHOSP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: facter
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: z5
: 4.0
Assignee: Martin Magr
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 19:25 UTC by Jeff Dexter
Modified: 2018-12-09 18:08 UTC (History)
5 users (show)

Fixed In Version: facter-1.7.4-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The package facter has been rebased to version: 1.7.4-1 The following bug has been fixed with this rebase: * Issues with puppet runs on OpenStack Compute nodes.
Clone Of:
Environment:
Last Closed: 2014-10-22 18:28:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1696 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform 4 Bug Fix Advisory 2014-10-22 22:22:32 UTC

Description Jeff Dexter 2014-07-09 19:25:58 UTC
1. Proposed title of this feature request  
  puppet bug # 17493 back port to RHOSP  
  
2. Who is the customer behind the request?  
    Account: name (acct #)  Telefonica Digital| 5231859
    TAM customer: yes  
    SRM customer: yes  
    Strategic: yes  
  
3. What is the nature and description of the request?  
    Customer is hitting puppet bug 17493 (http://projects.puppetlabs.com/issues/17493)
    This bug's fix was highlighted in https://bugzilla.redhat.com/show_bug.cgi?id=871211, and is currently fixed in factor-1.6.18-3.el6 in EPEL  Customer would like to have this fix brought into the version of factor used in RHOSP
4. Why does the customer need this? (List the business requirements here)  
    Customer uses facter for other buisness needs and is not able to use the epel version since they are running foreman
5. How would the customer like to achieve this? (List the functional requirements here)  
    backport fix into factor used in RHOSP
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
    Running facter --debug 
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
  Yes  http://projects.puppetlabs.com/issues/17493  / https://bugzilla.redhat.com/show_bug.cgi?id=871211
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
  RHOSP 4.0z
9. Is the sales team involved in this request and do they have any additional input?  
  no
10. List any affected packages or components.  
  no
11. Would the customer be able to assist in testing this functionality if implemented?  
  yes

Comment 2 Martin Magr 2014-07-15 09:17:58 UTC
Successfully tested RHELOSP-4 with facter-1.7.4-1.el6.x86_64.rpm, so we can update it to the same version which we have in RHELOSP-5.

Comment 4 Ami Jeain 2014-10-14 13:38:51 UTC
verified in Havana using the latest facter version :
# rpm -q facter
facter-1.7.4-1.el6.x86_64

ran basic sanity on nova (booted an instance)

Comment 6 errata-xmlrpc 2014-10-22 18:28:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1696.html


Note You need to log in before you can comment on or make changes to this bug.